package rocks.zipcode.quiz5.objectorientation.account;

/**
 * @author leon on 27/12/2018.
 */
public class BankAccount extends Account implements Transactable{

    private Double balance;


    public void setBalance(Double val) {
        this.balance = val;
    }

    @Override
    public void deposit(Double amountToIncreaseBy) throws IllegalArgumentException {
        if(amountToIncreaseBy >= 0.0) {
            balance+=amountToIncreaseBy;
        } else
            throw new IllegalArgumentException();

    }

    @Override
    public void withdrawal(Double amountToDecreaseBy) throws IllegalArgumentException{
            if (balance >= amountToDecreaseBy && amountToDecreaseBy> 0.0 ) {
                balance -= amountToDecreaseBy;
        } else
            throw new IllegalArgumentException();
        }

    @Override
    public Double getBalance() {
        return balance;
    }
}
