package rocks.zipcode.quiz5.objectorientation.account;

/**
 * @author leon on 30/12/2018.
 */
public class Employee implements Worker, Transactable{

    private BankAccount bankAccount;
    private Double hoursWorked;
    private Double hourlyWage;
    private Double moneyEarned;

    public Employee() {
    }

    public Employee(BankAccount bankAccount) {
        this.bankAccount = bankAccount;
    }

    public BankAccount getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(BankAccount bankAccount) {
        this.bankAccount = bankAccount;
    }

    @Override
    public void increaseHoursWorked(Double numberOfHours) {
        this.hoursWorked += numberOfHours;
    }

    @Override
    public Double getHoursWorked() {
        return hoursWorked;
    }

    public void setHoursWorked(Double hoursWorked) {
        this.hoursWorked = hoursWorked;
    }

    @Override
    public Double getHourlyWage() {
        return hourlyWage;
    }

    public void setHourlyWage(Double hourlyWage) {
        this.hourlyWage = hourlyWage;
    }

    @Override
    public Double getMoneyEarned() {
        return moneyEarned;
    }


    @Override
    public void deposit(Double amountToIncreaseBy) {

    }

    @Override
    public void withdrawal(Double amountToDecreaseBy) {

    }

    @Override
    public Double getBalance() {
        return bankAccount.getBalance();
    }
}

    //
//    public Employee() {
//    }
//
//
//    public Employee(BankAccount bankAccount) {
//        this.bankAccount = bankAccount;
//    }
//
//    public BankAccount getBankAccount() {
//        return bankAccount;
//    }
//
//    public void setBankAccount(BankAccount bankAccount) {
//        this.bankAccount = bankAccount;
//    }
//
//    @Override
//    public Double getHoursWorked() {
//        return hoursWorked;
//    }
//
//    @Override
//    public Double getHourlyWage() {
//        return hourlyWage;
//    }
//
//    @Override
//    public Double getMoneyEarned() {
//        return hourlyWage * hoursWorked;
//    }
//
//
//    @Override
//    public void increaseHoursWorked(Double numberOfHours) {
//        this.hoursWorked  += numberOfHours;
//    }
//
//    @Override
//    public void deposit(Double amountToIncreaseBy) {
//
//    }
//
//    @Override
//    public void withdrawal(Double amountToDecreaseBy) {
//
//    }
//
//    @Override
//    public Double getBalance() {
//        return this.bankAccount.getBalance();
//    }
//}
