package rocks.zipcode.quiz5.collections;

import com.sun.tools.javac.util.List;
import rocks.zipcode.quiz5.objectorientation.account.BankAccount;

import java.util.ArrayList;

/**
 * @author leon on 27/12/2018.
 */
public class Bank {

    private ArrayList<BankAccount> list;
    private BankAccount bankAccount;

    public Bank() {
        list = new ArrayList<>();
    }

    public BankAccount getBankAccount() {
        return bankAccount;
    }

    public ArrayList<BankAccount> getList() {
        return list;
    }

    public BankAccount removeBankAccountByIndex(Integer indexNumber) {
        BankAccount test = list.get(indexNumber);
        list.remove(test);
        return test;
    }

    public void addBankAccount(BankAccount bankAccount) {
        list.add(bankAccount);
    }

    public Boolean containsBankAccount(BankAccount bankAccount) {
//        throw new UnsupportedOperationException("Method not yet implemented");
        return list.contains(bankAccount);
    }
}
